Bug 477145 - ldapsearch and nss_ldap fail to find LDAP users
ldapsearch and nss_ldap fail to find LDAP users
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nss_ldap (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On: 505105 459756
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 06:53 EST by Dominik 'Rathann' Mierzejewski
Modified: 2012-12-16 12:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:20:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2008-12-19 06:53:36 EST
Description of problem:
ldapsearch and anything using nss_ldap can't contact LDAP server if it's specified by DNS name which resolves to an IPv4 address. If I specify the ldap server's IP in /etc/hosts, it starts working. According to tcpdump on port 53, no DNS requests are sent to resolve the ldap server's address.

Version-Release number of selected component (if applicable):
glibc-2.9-3
nss_ldap-261-4.fc10
openldap-clients-2.4.12-1.fc10

How reproducible:
Always.

Steps to Reproduce:
1. set up ldaps:// server somewhere on the local network
2. set up the local machine to authenticate against it (to test /bin/id)
3. ldapsearch -d 255 -H ldaps://ldap1.icm.edu.pl/ -b dc=icm,dc=edu,dc=pl -x 'uid=rathann'
4. id rathann
  
Actual results:
ldap_url_parse_ext(ldaps://ldap1.icm.edu.pl/)
ldap_create
ldap_url_parse_ext(ldaps://ldap1.icm.edu.pl:636/??base)
ldap_sasl_bind
ldap_send_initial_request
ldap_new_connection 1 1 0
ldap_int_open_connection
ldap_connect_to_host: TCP ldap1.icm.edu.pl:636
ldap_connect_to_host: getaddrinfo failed: Name or service not known
ldap_err2string
ldap_sasl_bind(SIMPLE): Can't contact LDAP server (-1)
# id rathann
id: rathann: No such user

Expected results:
The result of the query.
# id rathann
uid=5242(rathann) ...

Additional info:
This could be related to bug 459756, because other applications are still complaining about failed DNS lookups:
Dec 19 12:49:41 blader ntpd_initres[4246]: host name not found: 0.fedora.pool.ntp.org
Dec 19 12:49:41 blader ntpd_initres[4246]: couldn't resolve `0.fedora.pool.ntp.org', giving up on it
Dec 19 12:49:41 blader ntpd_initres[4246]: host name not found: 1.fedora.pool.ntp.org
Dec 19 12:49:41 blader ntpd_initres[4246]: couldn't resolve `1.fedora.pool.ntp.org', giving up on it
Dec 19 12:49:41 blader ntpd_initres[4246]: host name not found: 2.fedora.pool.ntp.org
Dec 19 12:49:41 blader ntpd_initres[4246]: couldn't resolve `2.fedora.pool.ntp.org', giving up on it
Comment 1 Nalin Dahyabhai 2009-01-27 16:19:04 EST
What does your "hosts:" line in /etc/nsswitch.conf look like?  If you're attempting to use the directory service for that, is a method which can provide resolution for the directory server's hostname listed before it?
Comment 2 Dominik 'Rathann' Mierzejewski 2009-01-28 15:22:11 EST
% grep ^hosts: /etc/nsswitch.conf
hosts:      files dns
%
Comment 3 Dominik 'Rathann' Mierzejewski 2009-10-15 05:40:11 EDT
It's working in current rawhide, so it must've been fixed somewhere along the way. I'll try to verify this in F11 and F10 when I get a chance.
Comment 4 Bug Zapper 2009-11-18 04:42:01 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:20:06 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.